Annonce

#1 2014-01-18 11:34:01

barbichou
Membre
2013-01-06
85

Message d'erreur lors de la migration de 2.5.3 vers 2.6

Bonjour,

Lors de la migration j'ai eu ces messages :

Code:

Strict Standards: Non-static method updates::upgrade_to() should not be called statically in /homepages/14/d421673580/htdocs/photos/admin/updates_pwg.php on line 137

Strict Standards: Non-static method updates::process_obsolete_list() should not be called statically in /homepages/14/d421673580/htdocs/photos/admin/include/updates.class.php on line 451

Strict Standards: Non-static method updates::deltree() should not be called statically in /homepages/14/d421673580/htdocs/photos/admin/include/updates.class.php on line 452

Warning: Cannot modify header information - headers already sent by (output started at /homepages/14/d421673580/htdocs/photos/admin/updates_pwg.php:137) in /homepages/14/d421673580/htdocs/photos/include/page_header.php on line 101

©
Warning: require_once(SMARTY_PLUGINS_DIRshared.make_timestamp.php): failed to open stream: No such file or directory in /homepages/14/d421673580/htdocs/photos/include/smarty/libs/plugins/modifier.date_format.php on line 37

Fatal error: require_once(): Failed opening required 'SMARTY_PLUGINS_DIRshared.make_timestamp.php' (include_path='.:/usr/lib/php5.4') in /homepages/14/d421673580/htdocs/photos/include/smarty/libs/plugins/modifier.date_format.php on line 37

Sans conséquence, il suffit d'effacer une partie de la barre de navigation pour récupérer la page upgrade.

@+ ;)

Hors ligne

#2 2014-01-18 21:33:02

flop25
Équipe Piwigo
2006-07-06
6539

Re: Message d'erreur lors de la migration de 2.5.3 vers 2.6

merci
on était au courant et cela a été corrigé justement :)
en tout cas, on apprécie votre engagement! votre site est fini ? Faites en un post avec ce que vous avez modifié, ça a l'air intéressant

Hors ligne

#3 2014-01-18 21:57:29

barbichou
Membre
2013-01-06
85

Re: Message d'erreur lors de la migration de 2.5.3 vers 2.6

Bonsoir,

Pour l'instant peu de modifications à part celles décrites dans mon fil dans la section utilisation.

Quelques modifications dans un de mes plugins pour le rendre compatible avec 2.6 (suppression de référence pour l'essentiel)

Quelques modifications dans les tpl mais je vais simplifier quelques bricoles et supprimer des delim grâce à smarty 3. Une variable qui ne passait plus dans smarty3, erreur de compilation à cause de simple () autour d'une variable dans une variable :lol

Mes autres plugins persos semblent fonctionner mais je ne les ai pas tous réactivés, je travaille sur les emails de piwigo, les thèmes imposés ne me plaisent pas, je vais voir comment court-circuiter cela proprement.

Je vais faire cela tranquillement pendant mes instants de temps libre au cours du week-end.

Bon week-end.

@+ ;)

Hors ligne

Pied de page des forums

Propulsé par FluxBB

github twitter newsletter Faire un don Piwigo.org © 2002-2021 · Contact